PROPERTIES =
{

	
}

function Initialize()

	msMeasureNetwork = SKIN:GetMeasure("MeasureNetwork")
	msMeasureInDelay = SKIN:GetMeasure("MeasureInDelay")
	msMeasureOutDelay = SKIN:GetMeasure("MeasureOutDelay")
	
	sImagePath = SKIN:GetVariable("ImagePath")
	
end -- function Initialize

function Update()

	sNetCheck = msMeasureNetwork:GetStringValue()
	iInValue = msMeasureInDelay:GetValue()
	iOutValue = msMeasureOutDelay:GetValue()
	
	if sNetCheck ~= "Microsoft NCSI" then
		SKIN:Bang("!SetOption MeterNetworkImage ImageName ".."\""..sImagePath.."NetworkError.png".."\"")
	else
		if iInValue > 0  and iOutValue == 0 then
			SKIN:Bang("!SetOption MeterNetworkImage ImageName ".."\""..sImagePath.."NetworkIn.png".."\"")
		end
		if iInValue == 0 and iOutValue > 0 then
			SKIN:Bang("!SetOption MeterNetworkImage ImageName ".."\""..sImagePath.."NetworkOut.png".."\"")
		end
		if iInValue > 0 and iOutValue > 0 then
			SKIN:Bang("!SetOption MeterNetworkImage ImageName ".."\""..sImagePath.."NetworkBoth.png".."\"")
		end		
		if iInValue == 0 and iOutValue == 0 then
			SKIN:Bang("!SetOption MeterNetworkImage ImageName ".."\""..sImagePath.."NetworkOk.png".."\"")
		end
	end	
	
	return(os.date())
	
end -- function Update
